ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave Blaschke <deb...@us.ibm.com>
Subject useexternalfile change between 1.6.5 and 1.7.0?
Date Tue, 05 Feb 2008 02:36:46 GMT
Greetings -

I am using Eclipse for a Java development project and Ant to build it.  
The javadoc command for the project is rather lengthy so useexternalfile 
is used.With Eclipse 3.2.2 and Ant 1.6.5 javadoc runs successfully, but 
with Eclipse 3.3.1.1 and Ant 1.7.0 javadoc fails with the following error:

  [javadoc] Generating Javadoc
  [javadoc] Javadoc execution
  [javadoc] javadoc: invalid flag: -
  [javadoc] usage: javadoc [options] [packagenames] [sourcefiles] 
[classnames] [@files]
    :  :

which indicates some corruption in the contents of the file.  Did 
something change with the use of this option between 1.6.5 and 1.7.0?  
Looked through bugs and mailing lists but didn't see anything similar.

I am running on WinXP with IBM SDK 1.4.2.  Just for kicks I brought the 
1.6.5 plugin code over to Eclipse 3.3.1.1 and javadoc worked fine then too.

Thanks in advance

Dave


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message